X2Go Bug report logs - #411
Fix ppc64 build

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 24 Jan 2014 19:15:01 UTC

Severity: normal

Tags: patch, pending

Found in version 3.5.0.22

Fixed in version 2:3.5.0.23

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#411; Package nx-libs. (Fri, 24 Jan 2014 19:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 24 Jan 2014 19:15:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Fix ppc64 build
Date: Fri, 24 Jan 2014 12:10:17 -0700
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.22
Tags: patch

Apparently gcc on EL7 pcc64 defines a macro named "pixel".  This breaks imake:

make[7]: Entering directory
`/builddir/build/BUILD/nx-libs-3.5.0.22/nx-X11/programs/Xserver/GL/mesa'
making Makefiles in programs/Xserver/GL/mesa/main...
make[8]: Entering directory
`/builddir/build/BUILD/nx-libs-3.5.0.22/nx-X11/programs/Xserver/GL/mesa'
In file included from ../../../../../config/cf/Imake.tmpl:2158:0,
                 from Imakefile.c:36:
../../../../../config/cf/X11.tmpl:1704:0: warning:
"UseInstalledOnCrossCompile" is not defined [-Wundef]
 # elif UseInstalledOnCrossCompile
 ^
In file included from ./Imakefile:25:0,
                 from ../../../../../config/cf/Imake.tmpl:2194,
                 from Imakefile.c:36:
./../../../../../lib/GL/mesa/main/Imakefile.inc:59:0: error: detected
recursion whilst expanding macro "pixel"
   $(MESABUILDDIR)pixel.c \
 ^
./../../../../../lib/GL/mesa/main/Imakefile.inc:168:0: error: detected
recursion whilst expanding macro "pixel"
 LinkSourceFile(pixel.c, $(MESASRCDIR)/src/mesa/main)
 ^
./../../../../../lib/GL/mesa/main/Imakefile.inc:168:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:168:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:168:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:168:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:169:0: error: detected
recursion whilst expanding macro "pixel"
 LinkSourceFile(pixel.h, $(MESASRCDIR)/src/mesa/main)
 ^
./../../../../../lib/GL/mesa/main/Imakefile.inc:169:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:169:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:169:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:169:0: error: detected
recursion whilst expanding macro "pixel"
./../../../../../lib/GL/mesa/main/Imakefile.inc:258:0: error: detected
recursion whilst expanding macro "pixel"
   $(MESABUILDDIR)pixel.o \
 ^
./../../../../../lib/GL/mesa/main/Imakefile.inc:398:0: error: detected
recursion whilst expanding macro "pixel"
   $(MESABUILDDIR)debugger/pixel.o \
 ^
./../../../../../lib/GL/mesa/main/Imakefile.inc:466:0: error: detected
recursion whilst expanding macro "pixel"
   $(MESABUILDDIR)profiled/pixel.o \
 ^
make[8]: Leaving directory
`/builddir/build/BUILD/nx-libs-3.5.0.22/nx-X11/programs/Xserver/GL/mesa'
make[7]: Leaving directory
`/builddir/build/BUILD/nx-libs-3.5.0.22/nx-X11/programs/Xserver/GL/mesa'
../../../../../config/imake/imake: Exit code 1.
  Stop.
make[8]: *** [main/Makefile] Error 1

The attached patch fixes.  There might be a better place to undefine the
macro, but this works.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[nx-libs-ppc64.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#411; Package nx-libs. (Tue, 28 Jan 2014 18:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 Jan 2014 18:45:01 GMT) (full text, mbox, link).


Message #10 received at 411@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 411-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 411@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Tue, 28 Jan 2014 19:41:38 +0100 (CET)
tag #411 pending
fixed #411 2:3.5.0.23
thanks

Hello,

X2Go issue #411 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=54f3975

The issue will most likely be fixed in src:nx-libs (2:3.5.0.23).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 54f39758c8579f3726e3a4e9033d12c6d44fa2aa
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Jan 28 19:32:53 2014 +0100

    Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64 architecture. (Fixes: #411).

diff --git a/debian/changelog b/debian/changelog
index 11ed19a..e3bde88 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 nx-libs (2:3.5.0.23-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development...
+  [ Orion Poplawski ]
+  * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
+    architecture. (Fixes: #411).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 04 Jan 2014 22:02:16 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:45:02 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.23. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:45:02 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#411. (Tue, 28 Jan 2014 18:45:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#411; Package nx-libs. (Tue, 06 May 2014 16:10:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:03 GMT) (full text, mbox, link).


Message #22 received at 411@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 411-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 411@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:35 +0200 (CEST)
close #411
thanks

Hello,

we are very hopeful that X2Go issue #411 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4f56401ad0df9cf6380910418e283267a04bbf2e;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#411; Package nx-libs. (Tue, 06 May 2014 16:10:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:03 GMT) (full text, mbox, link).


Message #27 received at 411@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 411-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 411@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:37 +0200 (CEST)
close #411
thanks

Hello,

we are very hopeful that X2Go issue #411 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=fdeaafb5e2f4520857ca4757261df79d233e05cb;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 16:10:08 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Tue, 06 May 2014 16:10:08 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#411. (Tue, 06 May 2014 16:10:10 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#411. (Tue, 06 May 2014 16:10:11 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 04 Jun 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Nov 12 16:43:26 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.